For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETExport analytics data
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIAnalytics

Export analytics data

||View as Markdown|
GET
/analytics/
GET
/v2/analytics/
$curl https://api.synthflow.ai/v2/analytics/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "executed_actions": {
3 "items": [
4 {
5 "name": "extract_info_action_type",
6 "value": 1200,
7 "series": [
8 {
9 "items": {
10 "type": "object",
11 "properties": {
12 "date": {},
13 "value": 1200
14 }
15 }
16 }
17 ]
18 },
19 {
20 "name": "new_custom_action",
21 "value": 24,
22 "series": [
23 {
24 "items": {
25 "type": "object",
26 "properties": {
27 "date": {},
28 "value": 24
29 }
30 }
31 }
32 ]
33 }
34 ]
35 },
36 "assistant_performance": {
37 "by_minutes_used": [
38 {
39 "model_id": "b2fe4436-760b-484e-a2d6-9daa0bdfdbea",
40 "name": "Jake",
41 "minutes_used": 198.4,
42 "percentage_change": 100
43 }
44 ],
45 "by_calls_made": [
46 {
47 "model_id": "b2fe4436-760b-484e-a2d6-9daa0bdfdbea",
48 "name": "Jake",
49 "calls_made": 264,
50 "percent_change": 100
51 }
52 ],
53 "by_success_rate": [
54 {
55 "model_id": "b2fe4436-760b-484e-a2d6-9daa0bdfdbea",
56 "name": "Jake",
57 "success_rate": 81.81818,
58 "percentage_change": 100
59 }
60 ]
61 },
62 "call_status_stat": {
63 "items": [
64 {
65 "status": "completed",
66 "value": 240,
67 "percentage": 90.91,
68 "percentage_change": 100
69 },
70 {
71 "status": "failed",
72 "value": 24,
73 "percentage": 90.91,
74 "percentage_change": 100
75 }
76 ],
77 "series": [
78 {
79 "date": "2025-07-2025",
80 "completed": 240,
81 "hangup_on_voicemail": 0,
82 "busy": 0,
83 "no-answer": 0,
84 "failed": 0,
85 "left_voicemail": 0,
86 "in-progress": 0,
87 "checking": 0,
88 "paused": 0,
89 "queue": 0,
90 "initiated": 0,
91 "ringing": 0
92 }
93 ]
94 },
95 "recent_call_history": {
96 "items": [
97 {
98 "call_id": "test",
99 "call_status": "completed",
100 "duration": 38,
101 "agent_name": "Jake",
102 "model_id": "b2fe4436-760b-484e-a2d6-9daa0bdfdbea",
103 "lead_phone_number": "+4915758658647",
104 "created_at": {}
105 }
106 ]
107 },
108 "duration_metrics": {
109 "total_minutes": 198.4,
110 "average_duration": 0.7515151515151516,
111 "total_calls": 264,
112 "series": [
113 {
114 "date": "2025-07-2025",
115 "total_minutes": 198.4,
116 "average_duration": 0.7515151515151516,
117 "total_calls": 264
118 }
119 ],
120 "total_minutes_percentage_change": 100,
121 "total_duration_percentage_change": 100,
122 "total_calls_percentage_change": 100
123 },
124 "end_call_reason_stat": {
125 "items": [
126 {
127 "reason": "agent_goodbye",
128 "value": 168,
129 "percentage": 63.64
130 },
131 {
132 "reason": "human_goodbye",
133 "value": 48,
134 "percentage": 63.64
135 },
136 {
137 "reason": "human_pick_up_cut_off",
138 "value": 24,
139 "percentage": 63.64
140 },
141 {
142 "reason": "Request failed: 500, message='Internal Server Error",
143 "value": 24,
144 "percentage": 63.64
145 }
146 ],
147 "series": [
148 {
149 "date": {},
150 "voicemail": 0,
151 "human_goodbye": 48,
152 "agent_goodbye": 168,
153 "human_pick_up_cut_off": 24,
154 "max_duration": 0,
155 "idle_time_exceeded": 0,
156 "goodbye_detected": 0,
157 "user_disconnected": 0,
158 "voicemail_message_left": 0
159 }
160 ]
161 },
162 "sentiment_stat": {
163 "positive_percentage": 90.91,
164 "series": [
165 {
166 "date": {},
167 "positive": 240,
168 "total": 264
169 }
170 ],
171 "positive_percentage_change": 100
172 }
173}
Export analytics programmatically for blending with your BI dashboards or internal reporting tools. ### Troubleshooting * If you are not seeing data for a specific agent, double-check the model_id you are using. Make sure the agent is active. * Date range errors: limit the query to a maximum of 120 days. * Unauthorized API access: double-check your API key.
Was this page helpful?
Previous

List phone numbers

Next
Built with

Export analytics programmatically for blending with your BI dashboards or internal reporting tools.

Troubleshooting

  • If you are not seeing data for a specific agent, double-check the model_id you are using. Make sure the agent is active.
  • Date range errors: limit the query to a maximum of 120 days.
  • Unauthorized API access: double-check your API key.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

from_datedatetimeOptional

The start date and time for the date range for which you want to export analytics data. If you don’t specify the date range, it’ll default to the past 7 days. The maximum date range is 120 days. Example: 2025-11-25T14:30:00Z

to_datedatetimeOptional

The end date and time for the date range for which you want to export analytics data. Example: 2025-11-25T14:30:00Z

model_idstringOptional
If you want to export data for a specific agent, use its model ID. You can find it on the agent's page in your dashboard.
type_of_callenumOptional

Filter calls by agent type (inbound, outbound or widget).

Allowed values:

Response

200
executed_actionsobject
List of actions executed during the call, as well as their success and frequency rates.
assistant_performanceobject
Agent performance overview.
call_status_statobject
Call status overview.
recent_call_historyobject
Log of all recent calls.
duration_metricsobject
Duration metrics overview.
end_call_reason_statobject

An overview of reasons calls ended. For details on all the possible reasons, see End Call Reasons.

sentiment_statobject
Sentiment overview.